if UCV == nil then UCV = {} end

local debugMode = false

function UCV:GetLink(id)
	return (id == nil and "" or string.format("|H1:item:%d:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|h|h", id))
end

function UCV:GetName(id)
	return(id == nil and "" or zo_strformat("<<t:1>>", GetItemLinkName(UCV:GetLink(id))))
end

function UCV:ListContains(itemId)
	if(UCV.itemIds ~= nil and #UCV.itemIds > 0) then
		for i = 1, #UCV.itemIds do
			if(UCV.itemIds[i] == itemId) then return true end
		end
	end
	return false
end

function UCV:SetItem(value, itemId)
	if(value) then UCV:AddItem(itemId)
	else UCV:RemoveItem(itemId) end
end

function UCV:AddItem(itemId)
	if(UCV.itemIds == nil or #UCV.itemIds <= 0) then
		UCV.itemIds = {itemId}
		UCV.sVar.itemIds = UCV.itemIds
		return
	else
		if(UCV:ListContains(itemId)) then return
		else UCV.itemIds[#UCV.itemIds + 1] = itemId
		end
	end
	UCV.sVar.itemIds = UCV.itemIds
end

function UCV:RemoveItem(itemId)
	if(UCV:ListContains(itemId)) then
		local j, tempIds = 1, {}
		for i = 1, #UCV.itemIds do
			if(UCV.itemIds[i] ~= itemId) then
				tempIds[j] = UCV.itemIds[i]
				j = j + 1
			end
		end
		UCV.itemIds = tempIds
	else return end
	UCV.sVar.itemIds = UCV.itemIds
end
