local strings = {
	UCV_STG_TITLE =		"Urich's Craftbag Viewer Settings",
	
	UCV_STG_MAIN_TITLE =	"Main Settings",
	UCV_STG_MAIN_SHW =		"Show Window",
	UCV_STG_MAIN_LUW =		"Lock Window",
	UCV_STG_MAIN_SHOW =		"Show or hide the Craftbag Viewer window.",
	UCV_STG_MAIN_LOCK =		"Lock or unlock the Craftbag Viewer window.",
	
	UCV_STG_MATS_TITLE =	"Selected Materials Settings",
	UCV_STG_MATS_DESC =		"Select from the following categories which items you'd like to appear in the window. The window may exceed the size of your screen if you select too many items. Items will be added to the window by the order in which you select them below.",
	UCV_STG_MATS_CL_1 =		"Clothing Materials",
	UCV_STG_MATS_CL_2 =		"Light Items",
	UCV_STG_MATS_CL_3 =		"Medium Items",
	UCV_STG_MATS_CL_4 =		"Tannins",
	UCV_STG_MATS_BS_1 =		"Blacksmithing Materials",
	UCV_STG_MATS_BS_2 =		"Ores and Ingots",
	UCV_STG_MATS_BS_3 =		"Tempers",
	UCV_STG_MATS_WW_1 =		"Woodworking Materials",
	UCV_STG_MATS_WW_2 =		"Rough/Sanded Woods",
	UCV_STG_MATS_WW_3 =		"Resins",
	UCV_STG_MATS_JC_1 =		"Jewelry Crafting Materials",
	UCV_STG_MATS_JC_2 =		"Dusts and Ounces",
	UCV_STG_MATS_JC_3 =		"Platings",
	UCV_STG_MATS_AL_1 =		"Alchemy Materials",
	UCV_STG_MATS_AL_2 =		"Solvents",
	UCV_STG_MATS_AL_3 =		"Reagents",
	UCV_STG_MATS_EN_1 =		"Enchanting Materials",
	UCV_STG_MATS_EN_2 =		"Potency Runes",
	UCV_STG_MATS_EN_3 =		"Essence Runes",
	UCV_STG_MATS_EN_4 =		"Aspect Runes",
	UCV_STG_MATS_PV_1 =		"Provisioning Materials",
	UCV_STG_MATS_PV_2 =		"Food Ingredients",
	UCV_STG_MATS_PV_3 =		"Meats",
	UCV_STG_MATS_PV_4 =		"Fruits",
	UCV_STG_MATS_PV_5 =		"Vegetables",
	UCV_STG_MATS_PV_6 =		"Mediums",
	UCV_STG_MATS_PV_7 =		"Beverage Ingredients",
	UCV_STG_MATS_PV_8 =		"Alcohols",
	UCV_STG_MATS_PV_9 =		"Teas",
	UCV_STG_MATS_PV_10 =	"Tonics",
	UCV_STG_MATS_PV_11 =	"Improvement Ingredients",
	UCV_STG_MATS_PV_12 =	"Other Ingredients",
	UCV_STG_MATS_HS_1 =		"Furnishing Materials",
	UCV_STG_MATS_TS_1 =		"Trait Stone Materials",
	UCV_STG_MATS_TS_2 =		"Armor Stones",
	UCV_STG_MATS_TS_3 =		"Weapon Stones",
	UCV_STG_MATS_TS_4 =		"Jewelry Stones",
	UCV_STG_MATS_SS_1 =		"Style Stone Materials",
	UCV_STG_MATS_SS_2 =		"Style Stones",
	UCV_STG_MATS_FM_1 =		"Fishing Materials",
	UCV_STG_MATS_FM_2 =		"Baits",
	
	UCV_MSG_HIDDEN =		"UCV: The app is not active. Type /ucv to display the window.",
	UCV_MSG_LOCKED =		"UCV: The window is already locked.",
	UCV_MSG_NO_CBAG =		"You do not have craftbag access.",
	UCV_MSG_BAD_SLASH =		"Urich's Craftbag Viewer invalid command.",
	UCV_MSG_CMD_TITLE =		"UCV slash commands:",
	UCV_MSG_CMD_OPTION_1 =	"    /ucv - To %s the addon. This can be keybound.",
	UCV_MSG_SHOW =			"show",
	UCV_MSG_HIDE =			"hide",
	UCV_MSG_CMD_OPTION_2 =	"    /ucv unlock - To unlock the window.",
	UCV_MSG_CMD_OPTION_3 =	"    /ucv lock - To lock the window.",
	
	UCV_MSG_HACK =			"I see you've been hacking my code. There's nothing to see here! Move along.",
	
	UCV_GUI_TITLE =			"Urich's Craftbag Viewer",
	
	UCV_MSG_INIT =			"Running UCV for the first time!",
	UCV_MSG_HELP =			"UCV Activated!",
}

for stringId, stringValue in pairs(strings) do
	ZO_CreateStringId(stringId, stringValue)
	SafeAddVersion(stringId, 1)
end
